For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet Seller Initiated Refunds
          • GETGet Seller Initiated Refunds for an order
          • GETGet Seller Initiated Refunds for order
          • POSTMark the refund as complete
          • POSTReport errors encountered when processing a seller-initiated refund
LogoLogo
RESTFeedAMP Order SourceRefunds

Report errors encountered when processing a seller-initiated refund

POST
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/refunds/:feedamp_refund_id/errors
POST
/api/v1/orders/:mp_order_number/refunds/:feedamp_refund_id/errors
$curl -X POST https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/refunds/feedamp_refund_id/errors \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "code": "EXCESS_ITEM_REFUND",
> "message": "Requested refund amount (100.99) exceeds the line'\''s cost (75.99)"
> }
>]'

When the market encounters errors when processing a seller initiated-refund, this endpoint allows the marketplace to report error(s) for the refund

Was this page helpful?
Previous

Mark the refund as complete

Next

Get returns

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
feedamp_refund_idstringRequired
The unique Id for an order line that is generated by the marketplace

Request

This endpoint expects a list of objects.
codeenumRequired
Code to uniquely identify the type of error
messagestringRequired
An error message that which will help seller identify the cause of the error and correct the issue.

Response

Error reported

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error